1. Payments
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
        GET
      • Retrieve settlements
        GET
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
        • Ledger
      • Payment
        • Payment
        • Payment
Need help?
  1. Payments

Retrieve settlements

GET
https://staging-integrations.confirmafinance.com/api/v1/partner/settlements
Retrieves settlement data from selected time period, if omitted, returns data for the last 30 days.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Query Params

Responses

🟢200OK (Results found)
application/json
Body

Example
{
    "createdAt": "2026-04-01T09:34:12.123Z",
    "settlements": [
        {
            "settlementId": 202603280001,
            "settlementDate": "2026-03-28",
            "agency": "CashIn",
            "remittanceReference": null,
            "beneficiary": null,
            "settlementAmount": 1240.50,
            "currency": "EUR",
            "allocations": [
                {
                    "allocationId": 9001001,
                    "allocatedTotalAmount": 1000.00,
                    "allocationDate": "2026-03-28",
                    "currency": "EUR",
                    "originalInvoiceNumber": "202600145",
                    "events": [
                        {
                            "type": "CAPITAL",
                            "amount": 900.00
                        },
                        {
                            "type": "INTEREST",
                            "amount": 75.00
                        },
                        {
                            "type": "FEES",
                            "amount": 25.00
                        }
                    ]
                },
                {
                    "allocationId": 9001002,
                    "allocatedTotalAmount": 240.50,
                    "allocationDate": "2026-03-28",
                    "currency": "EUR",
                    "originalInvoiceNumber": "202600146",
                    "events": [
                        {
                            "type": "CAPITAL",
                            "amount": 200.00
                        },
                        {
                            "type": "INTEREST",
                            "amount": 30.00
                        },
                        {
                            "type": "FEES",
                            "amount": 10.50
                        }
                    ]
                }
            ]
        }
    ]
}
🟢204No Content (No settlements found)
🟠400Bad Request
🟠401Unauthorized
🟠404Not Found
Previous
Retrieve Payments
Next
Introduction to accounting
Built with